Mac OS X

From ENIGMA

(Difference between revisions)
Jump to: navigation, search
(Fix meanness)
Line 1: Line 1:
-
Due to the highly proprietary nature of Mac, this platform is difficult to develop for, although many aspects of it remain the same as on the preferred platform of [[Linux]], so development usually doesn't lag much, as the primary developers use Linux primarily. [[#dependencies|Dependencies]] are low for simply checking out, but higher for compiling games. The [[#API Libraries|API Libraries]] are pretty much the standard open source ones that you see in Linux. ENIGMA itself takes the form of [[DLL|DYLIB]] (Dynamic Library) for calling as a library (e.g. from [[LateralGM]]), or JAR for [[Command line interface|command line usage]].
+
Because there are not many contributors who use Mac OS X, this platform is difficult to develop for, although many aspects of it remain the same as on [[Linux]].[[#dependencies|Dependencies]] are low for simply checking out, but higher for compiling games. The [[#API Libraries|API Libraries]] are pretty much the standard open source ones that you see in Linux. ENIGMA itself takes the form of [[DLL|DYLIB]] (Dynamic Library) for calling as a library (e.g. from [[LateralGM]]), or JAR for [[Command line interface|command line usage]].
== Dependencies ==
== Dependencies ==

Revision as of 00:03, 21 February 2015

Because there are not many contributors who use Mac OS X, this platform is difficult to develop for, although many aspects of it remain the same as on Linux.Dependencies are low for simply checking out, but higher for compiling games. The API Libraries are pretty much the standard open source ones that you see in Linux. ENIGMA itself takes the form of DYLIB (Dynamic Library) for calling as a library (e.g. from LateralGM), or JAR for command line usage.

Dependencies

In order to compile on OS X you will need to download XCode from the "app store" or apple's website.

Java 7. The enigma plugin is currently incompatible with java 6 and below. Instructions Here

Note: If you get errors starting LateralGM, Java 7 may not add itself to $PATH in which case executing: ln -sF "/Library/Internet Plug-Ins/JavaAppletPlugin.plugin/Contents/Home/bin/java" /usr/bin/java; will fix it.

In order to run your games you will need to enable apps from anywhere in Security & Privacy settings:

[1]

API Libraries

XCode ships most of ENIGMA's dependencies.

SFML instructions Here

Personal tools
Namespaces
Variants
Actions
Navigation
ENIGMA
Other
Toolbox